%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

%define buildflags WXPORT=gtk2 UNICODE=1 WX_CONFIG=%{_bindir}/wx-2.4-config

Name:           compat-wxPythonGTK2
Version:        2.4.2.4
Release:        12%{?dist}
Summary:        Compatibility version of the wxWidgets GUI toolkit for Python
Group:          Development/Languages
License:        LGPL
URL:            http://www.wxpython.org/
Source0:        http://dl.sf.net/wxpython/wxPythonSrc-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Patch0:		compat-wxPython-2.4.2.4-fixpango.patch

BuildRequires:  compat-wxGTK2-devel >= 2.4.2, compat-wxGTK2-gl, pkgconfig
BuildRequires:  zlib-devel, libpng-devel, libjpeg-devel, libtiff-devel
BuildRequires:  python-devel, mesa-libGLU-devel

Obsoletes:      wxPythonGTK2 <= 2.4.2.4-7
Obsoletes:      wxPython <= 2.4.2.4-7

%description
wxPython is a GUI toolkit for the Python programming language. It allows
Python programmers to create programs with a robust, highly functional
graphical user interface, simply and easily. It is implemented as a Python
extension module (native code) that wraps the popular wxWindows cross
platform GUI library, which is written in C++.

%prep
%setup -q -n wxPythonSrc-%{version}
%patch0 -p1

%build
# Just build the wxPython part, not all of wxWindows which we already have
# in Fedora
cd wxPython
# included disutils is not multilib aware; use normal
rm -rf distutils
python setup.py %{buildflags} build

# There's a binary included in sources resulting in bogus libwx_gtk2-2.3.so.0
# dependency for the package, clean it up
cd demo/dllwidget
make clean

%install
rm -rf $RPM_BUILD_ROOT
cd wxPython
python setup.py %{buildflags} install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc wxPython/docs/ wxPython/demo/ wxPython/licence/ wxPython/samples/
%{_bindir}/*
# These binaries are now in the wxPython 2.6 package
%exclude %{_bindir}/helpviewer
%exclude %{_bindir}/img2png
%exclude %{_bindir}/img2py
%exclude %{_bindir}/img2xpm
%exclude %{_bindir}/xrced
%{python_sitearch}/wxPython/
%{python_sitearch}/wx/

%changelog
* Mon Sep 11 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.2.4-12
- fix pango cruft

* Wed Apr 19 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.2.4-11
- add missing BuildRequires: mesa-libGLU-devel

* Wed Apr 19 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.2.4-10
- get rid of unnecessary provides

* Fri Jan  6 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.2.4-9
- spec cleanups

* Mon Aug 15 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.4.2.4-8
- rename to compat-wxPythonGTK2

* Wed May 11 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 2.4.2.4-7
- d'oh, it's sitearch here

* Wed May 11 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 2.4.2.4-6
- rebuilt
- use %%python_sitelib macro
- drop dependency on python binary, python(abi) dependency is automatic

* Thu Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> 2.4.2.4-5
- rebuilt

* Tue Feb 08 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0:2.4.2.4-4
- remove included disutils - it is not multilib aware; this
  fixes build on x86_64

* Tue Jan 06 2004 Panu Matilainen <pmatilai@welho.com> 0:2.4.2.4-0.fdr.3
- rename package to wxPythonGTK2, provide wxPython (see bug 927)
- dont ship binaries in /usr/share

* Thu Nov 20 2003 Panu Matilainen <pmatilai@welho.com> 0:2.4.2.4-0.fdr.2
- add missing buildrequires: python-devel, wxGTK2-gl

* Sun Nov 02 2003 Panu Matilainen <pmatilai@welho.com> 0:2.4.2.4-0.fdr.1
- Initial RPM release.
